Open Infrastructure - Task #6418

Enable https support for distributing the trigger server ssh key
01/31/2019 03:22 PM - Dominique Roux

Status: Closed Start date: 01/31/2019
Priority: Urgent Due date: 02/05/2019
Assignee: Dominique Roux % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

PM Check date: 02/10/2019

Description

Major security issue.

Configure the webserver which provides the ssh public key of the trigger server with ssl and letsencrypt.

History

#1 - 02/05/2019 08:34 AM - Dominique Roux
- Due date changed from 02/01/2019 to 02/05/2019

- Status changed from Seen to In Progress

#2 - 02/05/2019 09:19 AM - Dominique Roux

- Status changed from In Progress to Resolved

cdist manifest for cdist-trigger server not working..
currently made by hand (e.g. run the types by hand against cdist-trigger server)

Is now ssl encrypted

#3 - 02/05/2019 09:19 AM - Dominique Roux

now testing with server1 so that everything still works

#4 - 02/06/2019 03:31 PM - Jason Kim
- PM Check date set to 02/06/2019

#5 - 02/09/2019 05:05 PM - Jason Kim
- PM Check date changed from 02/06/2019 to 02/10/2019

#6 - 02/15/2019 10:08 AM - Nico Schottelius

- Status changed from Resolved to Closed
